/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2014. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client;

/**
 * An exception indicating a PathResolver has found conflicting paths
 * which would occur if the same item is loaded with the same 
 * component in more than one location in the CopyFileArea
 */
public class DuplicateShareableException extends FileSystemException {
    private static final long serialVersionUID = -714355232447796022L;

    public DuplicateShareableException(String message) {
        super(message);
    }
}
