/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client;

/**
 * Listener for changes in the sharing state of roots in the 
 * file area. 
 * 
 * @see {@link ICopyFileAreaEvent}
 * @see {@link ISharingManager#addListener(ICopyFileAreaListener)}
 * @since 0.6
 */
public interface ICopyFileAreaListener {
    public void change(ICopyFileAreaEvent[] events);
}
