/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2015. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client;

import com.ibm.team.scm.common.IComponentHandle;
import com.ibm.team.scm.common.IContextHandle;
import com.ibm.team.scm.common.IVersionableHandle;

/**
 * Interface used for local conflicts
 * 
 * @NoImplement This interface is not intended to be implemented by clients.
 */
public interface ILocalConflict {

    IContextHandle getContextHandle();

    IComponentHandle getComponent();

    ISandbox getSandbox();

    IVersionableHandle getItemHandle();

}
