/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.daemon;

import java.io.IOException;


/**
 * Interface allowing {@link JSONHandler} receivers to control the server.  
 */
public interface IServerController {
	
	/** Tell the server to shutdown cleanly. 
	 * @throws IOException 
	 */
	public void shutdown() throws IOException;
}
