/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.daemon;

/**
 * Describes a service registered with the {@link JSONHandler}.
 */
public interface IServiceDescription {

    /** Return the service ID. */
    public String getServiceId();
    
    
    /** Get the version id of the service. Null will be returned if the service 
     * does not have a version.
     */
    public String getVersion();
}
