/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved. 
 * 
 * Note to U.S. Government Users Restricted Rights:  Use, 
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.internal;


public class AuthenticationDetails {

    private final String proxyUserName;
    private final String proxyPassword;

    public AuthenticationDetails(String proxyUserName, String proxyPassword) {
        this.proxyUserName = proxyUserName;
        this.proxyPassword = proxyPassword;
    }

    public String getUser() {
        return proxyUserName;
    }

    public String getPassword() {
        return proxyPassword;
    }
    

}
