/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
#define _WIN32_WINNT 0x0400

#include <stdio.h>
#include <stdlib.h>
#include <wchar.h>
#include <windows.h>

struct event {
	wchar_t* path;
	char type;
	struct event* next;
} event_t;

#define THREAD_MINE 0
#define THREAD_YOURS 1

void init(void* ctx,
			void (*callback)(void*, struct event*), 
			void (*record_error)(void*, wchar_t* error, int thread));
void dispose();
void registerDirectory(void* ctx, wchar_t*);
void unregisterDirectory(void* ctx, wchar_t*);
void collectChanges(void* ctx);
