/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
#include <stdio.h>
#include <wchar.h>
#include <windows.h>

#include "listener.h"

int main(int argc, char** argv) {
	init();
	registerDirectory(L"C:\\jazz\\client\\jazz\\client\\eclipse\\runtime-New_Configuration");
	while (1) {
		struct event* elist = getNextChange();
		struct event* prev = NULL;
		while (elist != NULL) {
			prev = elist;
			
			printf("Event type %c path %ls\n",elist->type, elist->path);

			elist = elist->next;
			free(prev->path);
			free(prev);
		}
	}
}
