/*******************************************************************************
 * Licensed Materials - Property of IBM 
 * (c) Copyright IBM Corporation 2005, 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights: Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/
package com.ibm.team.filesystem.client.workitems.internal;

import org.eclipse.core.runtime.IAdapterFactory;

import com.ibm.team.scm.common.links.IComponentLinkCreator;

public class AdapterFactory implements IAdapterFactory {

    ChangeSetLinkComponentCreator creator = new ChangeSetLinkComponentCreator();
    
	public Object getAdapter(Object adaptableObject, Class adapterType) {
	    if (IComponentLinkCreator.class.equals(adapterType))
            return creator;
        return null;
	}

	public Class[] getAdapterList() {
		return new Class[] {IComponentLinkCreator.class};
	}
}
