/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  Use,
 * duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.team.filesystem.client.workitems.internal;

import org.eclipse.osgi.util.NLS;

public class Messages extends NLS {
	private static final String BUNDLE_NAME = "com.ibm.team.filesystem.client.workitems.internal.messages"; //$NON-NLS-1$
	public static String SubmitForReviewOperation_0;
	public static String SubmitForReviewOperation_1;
	public static String SubmitForReviewOperation_2;
	public static String CheckinAndDeliverOperation_0;
	public static String CheckinAndDeliverOperation_PROGRESS_DELIVER;
	public static String CheckinAndDeliverOperation_PROGRESS_MESSAGE;
	public static String CheckinAndDeliverOperation_PROGRESS_MESSAGE_CHECKIN;
	public static String DeliverAndFixOperation_0;
	public static String DeliverAndFixOperation_1;
	public static String RemoveWorkitemOslcLink;
	public static String CreateWorkitemOslcLink_NO_LINK_CREATED;
	static {
		// initialize resource bundle
		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
	}

	private Messages() {
	}
}
