/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
#ifndef listener_h
#define listener_h

/* Queue of events */
struct evt {
	char* path;
	char type;
	struct evt* next;
} evt_t;

#define FILE_TYPE_DIRECTORY 0x1
#define FILE_TYPE_FILE 0x2
#define EVENT_TYPE_ADD 0x4
#define EVENT_TYPE_DELETE 0x8
#define EVENT_TYPE_MODIFY 0x10

void watch_all_subdirs(const char* rootdirectory);
void unwatch_all_subdirs(const char* rootdir);
struct evt* getNextChange();
void init();

#endif
