/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
#include <stdio.h>
#include <unistd.h>
#include "listen.h"

int main (int argc, const char * argv[]) {
	init();
    // insert code here...
    printf("Listening...\n");
	
	listen(CFSTR("/Users/Chris/tmp"));
	listen(CFSTR("/Users/Chris/tmp2"));

	
	while (1) {
		struct evt* change = getNextChange();
		if (change != NULL) {
			while (change != NULL) {
				struct evt* tofree = change;
				printf("Change to:%s\n",change->path);
				change = change->next;
				free(tofree->path);
				free(tofree);
			}
		} else {
			usleep(100);
		}
	}
	
	return 0;
}
