@rem ***************************************************************************
@rem Licensed Materials - Property of IBM
@rem © Copyright IBM Corporation 2014. All Rights Reserved.
@rem
@rem Note to U.S. Government Users Restricted Rights:  
@rem Use, duplication or disclosure restricted by GSA ADP Schedule 
@rem Contract with IBM Corp.
@rem ***************************************************************************
@ECHO ON

REM %1:-> Repository URL
REM %2:-> Build result uuid
REM %3:-> Build label
REM %4:-> Anthome

SET BUILD_USER_ID=build
SET REPOSITORY_URL=%1  
SET BUILD_UUID=%2
SET BUILD_LABEL=%3
SET ANTHOME=%4
SET CLASSPATH=%ANTHOME%\ant-launcher.jar
SET ANT_LAUNCHER=org.apache.tools.ant.launch.Launcher
SET JBE_PASS_FILE=C:\buildPass
SET JAZZ_TOOLKIT=%ANTHOME%\..\..\..\..\..\buildtoolkit
SET OBJS=fslistener.dll

ECHO ******************** Run VS command line ******************
CALL :getVCvariables

ECHO ******************** Run Makefile ******************
CALL :runMake "Makefile"

CALL :PublishFile %OBJS% %OBJS% "Application Ext"
GOTO :EOF

:PublishFile
ECHO Publish File:%1 Label:%2 Type:%3
java -cp %ANTHOME%/ant-launcher.jar %ANT_LAUNCHER% -f "C:\scm_filesystem_windowslistener_build\%BUILD_LABEL%\com.ibm.team.filesystem.client\nativesrc\windows-listener\jazzBuildTasks.xml" -lib %JAZZ_TOOLKIT% -DuserId=%BUILD_USER_ID% -DpasswordFile=%JBE_PASS_FILE% -DrepositoryAddress=%REPOSITORY_URL% -DbuildResultUUID=%BUILD_UUID% -Dfile=%1 -Dlabel=%2 -Dtype=%3 publishFile
GOTO :EOF

:getVCvariables
CALL "C:\Program Files\Microsoft Visual Studio 9.0\VC\vcvarsall.bat"
ECHO %INCLUDE%
GOTO :EOF

:runMake
ECHO MakeFile : %1
nmake -f %1
